Attribute VB_Name = "mListboxDefs"
Option Explicit
'
' Brad Martinez http://www.mvps.org/ccrp
'

' private listview definition dependencies
Private Const WS_VSCROLL = &H200000
Private Const WS_BORDER = &H800000

' ==============================================

Public Const LB_CTLCODE = 0&

Public Enum LB_ReturnValues
  LB_OKAY = 0
  LB_ERR = (-1)
  LB_ERRSPACE = (-2)
End Enum

Public Enum LB_Styles
  LBS_NOTIFY = &H1&
  LBS_SORT = &H2&
  LBS_NOREDRAW = &H4&
  LBS_MULTIPLESEL = &H8&
  LBS_OWNERDRAWFIXED = &H10&
  LBS_OWNERDRAWVARIABLE = &H20&
  LBS_HASSTRINGS = &H40&
  LBS_USETABSTOPS = &H80&
  LBS_NOINTEGRALHEIGHT = &H100&
  LBS_MULTICOLUMN = &H200&
  LBS_WANTKEYBOARDINPUT = &H400&
  LBS_EXTENDEDSEL = &H800&
  LBS_DISABLENOSCROLL = &H1000&
  LBS_NODATA = &H2000&

#If (WINVER >= &H400) Then
  LBS_NOSEL = &H4000&
#End If ' WINVER >=&H0400'/
  
  LBS_STANDARD = (LBS_NOTIFY Or LBS_SORT Or WS_VSCROLL Or WS_BORDER)
End Enum   ' LB_Styles

Public Enum LB_Notifications
  LBN_ERRSPACE = (-2)
  LBN_SELCHANGE = 1
  LBN_DBLCLK = 2
  LBN_SELCANCEL = 3
  LBN_SETFOCUS = 4
  LBN_KILLFOCUS = 5
End Enum   ' LB_Notifications

Public Enum LB_Messages
  LB_ADDSTRING = &H180
  LB_INSERTSTRING = &H181
  LB_DELETESTRING = &H182
  LB_SELITEMRANGEEX = &H183
  LB_RESETCONTENT = &H184
  LB_SETSEL = &H185
  LB_SETCURSEL = &H186
  LB_GETSEL = &H187
  LB_GETCURSEL = &H188
  LB_GETTEXT = &H189
  LB_GETTEXTLEN = &H18A
  LB_GETCOUNT = &H18B
  LB_SELECTSTRING = &H18C
  LB_DIR = &H18D
  LB_GETTOPINDEX = &H18E
  LB_FINDSTRING = &H18F
  LB_GETSELCOUNT = &H190
  LB_GETSELITEMS = &H191
  LB_SETTABSTOPS = &H192
  LB_GETHORIZONTALEXTENT = &H193
  LB_SETHORIZONTALEXTENT = &H194
  LB_SETCOLUMNWIDTH = &H195
  LB_ADDFILE = &H196
  LB_SETTOPINDEX = &H197
  LB_GETITEMRECT = &H198
  LB_GETITEMDATA = &H199
  LB_SETITEMDATA = &H19A
  LB_SELITEMRANGE = &H19B
  LB_SETANCHORINDEX = &H19C
  LB_GETANCHORINDEX = &H19D
  LB_SETCARETINDEX = &H19E
  LB_GETCARETINDEX = &H19F
  LB_SETITEMHEIGHT = &H1A0
  LB_GETITEMHEIGHT = &H1A1
  LB_FINDSTRINGEXACT = &H1A2
  LB_SETLOCALE = &H1A5
  LB_GETLOCALE = &H1A6
  LB_SETCOUNT = &H1A7

#If (WINVER >= &H400) Then
  LB_INITSTORAGE = &H1A8
  LB_ITEMFROMPOINT = &H1A9
#End If ' WINVER >=&H0400'/

#If (WIN32_WCE >= &H400) Then
  LB_MULTIPLEADDSTRING = &H1B1
#End If

#If (WIN32_WCE >= &H400) Then
  LB_MSGMAX = &H1B1
#ElseIf (WINVER >= &H400) Then
  LB_MSGMAX = &H1B0
#Else
  LB_MSGMAX = &H1A8
#End If

End Enum   ' LB_Messages
